On 11/20/05, Pit Capitain <pit / capitain.de> wrote:
> Ara.T.Howard schrieb:
> > On Sun, 20 Nov 2005, Austin Ziegler wrote:
> >> Basically, we need core language support for versioning.
> > agreed.
> Which is, as far as I understood, more or less what Tom proposed. A
> quote from the original post:
>
> > I believe it would be better if Ruby itself simply elaborated on its
> > #require method (and #load method of course) to handle versioned
> > directory tiers.
> Thank you both, Austin and Ara, for the additional infos and the code
> samples.

Except that Trans has taken an irrational dislike to the way that
RubyGems does this and has proposed something that is even *less*
usable and is conceptually bankrupt. Frankly, I tire of the
nonsensical whimsical proposals that have no application in the real
world. I want him to put up this time, because every other critic of
RubyGems so far has failed to do so in any way that solves the twin
problems.

I still maintain that packaging and versioning belong together.

-austin
--
Austin Ziegler * halostatue / gmail.com
               * Alternate: austin / halostatue.ca